diff options
author | Alex Dupre <ale@FreeBSD.org> | 2004-03-12 10:36:57 +0000 |
---|---|---|
committer | Alex Dupre <ale@FreeBSD.org> | 2004-03-12 10:36:57 +0000 |
commit | 6591025a58c2580877eef1cd7213c9890da604a5 (patch) | |
tree | efefe43528507d46620d5e4d5026a765d6a902fc /databases/mysql60-server | |
parent | e2ea230fddd5812a2b416ba00d0e8b06b00b1563 (diff) | |
download | ports-6591025a58c2580877eef1cd7213c9890da604a5.tar.gz ports-6591025a58c2580877eef1cd7213c9890da604a5.zip |
Notes
Diffstat (limited to 'databases/mysql60-server')
-rw-r--r-- | databases/mysql60-server/Makefile | 8 | ||||
-rw-r--r-- | databases/mysql60-server/files/patch-scripts::mysql_install_db.sh | 22 |
2 files changed, 22 insertions, 8 deletions
diff --git a/databases/mysql60-server/Makefile b/databases/mysql60-server/Makefile index 9db3fbe2ce7f..366a0b771d3f 100644 --- a/databases/mysql60-server/Makefile +++ b/databases/mysql60-server/Makefile @@ -130,10 +130,6 @@ pre-fetch: @${ECHO} " (default is /var/db/mysql)." @${ECHO} " WITH_LINUXTHREADS=yes Use the linuxthreads pthread library." @${ECHO} " OVERWRITE_DB=yes Re-initialize default databases." - @${ECHO} " SKIP_DNS_CHECK=yes Don't run resolveip to do an additional DNS" - @${ECHO} " reverse lookup before inserting local" - @${ECHO} " hostname into mysql database" - @${ECHO} " (use it if your machine has no official DNS entry)." @${ECHO} " BUILD_OPTIMIZED=yes Enable compiler optimizations" @${ECHO} " (use it if you need speed)." @${ECHO} " BUILD_STATIC=yes Build a static version of mysqld." @@ -162,12 +158,8 @@ post-install: @${RM} -r ${DB_DIR}/mysql ${DB_DIR}/test 2>/dev/null || true .endif .if !exists(${DB_DIR}) || (defined(OVERWRITE_DB) && ${OVERWRITE_DB:L} != "no") -.if defined(SKIP_DNS_CHECK) - ${PREFIX}/bin/mysql_install_db --force --ldata=${DB_DIR} -.else ${PREFIX}/bin/mysql_install_db --ldata=${DB_DIR} .endif -.endif @${SETENV} DB_DIR=${DB_DIR} ${SH} ${PKGINSTALL} ${PKGNAME} POST-INSTALL .endif @${SED} "s|%%PREFIX%%|${PREFIX}|g; s|%%DB_DIR%%|${DB_DIR}|g" < ${FILESDIR}/mysql-server.sh > ${PREFIX}/etc/rc.d/mysql-server.sh diff --git a/databases/mysql60-server/files/patch-scripts::mysql_install_db.sh b/databases/mysql60-server/files/patch-scripts::mysql_install_db.sh new file mode 100644 index 000000000000..1ccb78b2925a --- /dev/null +++ b/databases/mysql60-server/files/patch-scripts::mysql_install_db.sh @@ -0,0 +1,22 @@ +--- scripts/mysql_install_db.sh.orig Thu Mar 11 10:20:57 2004 ++++ scripts/mysql_install_db.sh Thu Mar 11 10:27:09 2004 +@@ -118,7 +118,7 @@ + if [ $? -ne 0 ] + then + resolved=`$bindir/resolveip localhost 2>&1` +- if [ $? -eq 0 ] ++ if [ $? -ne 0 ] + then + echo "Neither host '$hostname' and 'localhost' could not be looked up with" + echo "$bindir/resolveip" +@@ -128,8 +128,8 @@ + exit 1 + fi + echo "WARNING: The host '$hostname' could not be looked up with resolveip." +- echo "This probably means that your libc libraries are not 100 % compatible" +- echo "with this binary MySQL version. The MySQL daemon, mysqld, should work" ++ echo "This probably means that your host name is not listed in your" ++ echo "/etc/hosts file (as it should). The MySQL daemon, mysqld, should work" + echo "normally with the exception that host name resolving will not work." + echo "This means that you should use IP addresses instead of hostnames" + echo "when specifying MySQL privileges !" |